/*{ stm32_Registers.c ************************************************
 
 Structured pointers to registers of ARM CortexM3 microcontrollers.

 written by Gregor Rebel 2011-2011

}*/

#include "stm32_registers.h"

//{ Global pointers to hardware registers

volatile RCC_APB1ENR_t* regRCC_APB1ENR = (volatile RCC_APB1ENR_t*) 0x1C;
volatile RCC_APB2ENR_t* regRCC_APB2ENR = (volatile RCC_APB2ENR_t*) 0x18;
volatile TIMER_t*       regTIMER1      = (volatile TIMER_t*)       TIM1;
volatile TIMER_t*       regTIMER2      = (volatile TIMER_t*)       TIM2;
volatile TIMER_t*       regTIMER3      = (volatile TIMER_t*)       TIM3;
volatile TIMER_t*       regTIMER4      = (volatile TIMER_t*)       TIM4;
volatile USART_t*       regUSART1      = (volatile USART_t*)       USART1;
volatile USART_t*       regUSART2      = (volatile USART_t*)       USART2;
volatile USART_t*       regUSART3      = (volatile USART_t*)       USART3;
volatile USART_t*       regUART4       = (volatile USART_t*)       UART4;
volatile USART_t*       regUART5       = (volatile USART_t*)       UART5;

//}

